Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.core
Class ServiceLevelAgreements.SystemRequirement

    java.lang.Object
      org.jini.rio.core.ServiceLevelAgreements.SystemRequirement

All Implemented Interfaces:
  Serializable

Enclosing class:
  ServiceLevelAgreements

    public static class ServiceLevelAgreements.SystemRequirement

extends Object
implements Serializable

Simple data structure which holds details for a system requirement

See Also:
  Serialized Form

Constructor Summary
`ServiceLevelAgreements.SystemRequirement(String name, Map<String,Object> attrs)` Create a SystemRequirement
`ServiceLevelAgreements.SystemRequirement(String name, String className, Map<String,Object> attrs)` Create a SystemRequirement

Method Summary
`Map<String,Object>` | `getAttributes()` Get the attribute Map.
`String` | `getClassName()` Get the className property
`URL[]` | `getClasspath()` Get the classpath URLs to load this capability
`String` | `getName()` Get the name property
`SoftwareLoad` | `getSoftwareLoad()` Get the SoftwareLoad for this system requirement
`void` | `setClasspath(URL[] urls)` Set the classpath URLs to load this capability
`void` | `setSoftwareLoad(SoftwareLoad swLoad)` Set the SoftwareLoad for this system requirement
`String` | `toString()` Provide a String representation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceLevelAgreements.SystemRequirement

    public ServiceLevelAgreements.SystemRequirement(String name,
                                                    Map<String,Object> attrs)

  Create a SystemRequirement

  Parameters:
    `name` - A short name, typically the name of the class sans the package name. Must not be null
    `attrs` - Collection of name value pairs to evaluate, optional

### ServiceLevelAgreements.SystemRequirement

    public ServiceLevelAgreements.SystemRequirement(String name,
                                                    String className,
                                                    Map<String,Object> attrs)

  Create a SystemRequirement

  Parameters:
    `name` - A short name, typically the name of the class sans the package name, if null, is derived from the className parameter. Must not be null if the classname parameter is null
    `className` - The fully qualified classname, must not be null if the name parameter is null
    `attrs` - Collection of name value pairs to evaluate, optional

Method Detail

### getClassName

    public String getClassName()

  Get the className property

  Returns:
    the classname

### getName

    public String getName()

  Get the name property

  Returns:
    The name

### getAttributes

    public Map<String,Object> getAttributes()

  Get the attribute Map. If there are no attributes an empty Map will be returned

  Returns:
    The attribute Map

### setSoftwareLoad

    public void setSoftwareLoad(SoftwareLoad swLoad)

  Set the SoftwareLoad for this system requirement

  Parameters:
    `swLoad` - The associated SoftwareLoad

### getSoftwareLoad

    public SoftwareLoad getSoftwareLoad()

  Get the SoftwareLoad for this system requirement

  Returns:
    The associated SoftwareLoad

### setClasspath

    public void setClasspath(URL[] urls)

  Set the classpath URLs to load this capability

  Parameters:
    `urls` - An array of URLs

### getClasspath

    public URL[] getClasspath()

  Get the classpath URLs to load this capability

  Returns:
    The classpath URLs to load the capability

### toString

    public String toString()

  Provide a String representation

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.